# Get Order information

### Description

Get order method is used for searching a specific order by using its order token. &#x20;

## getOrder

<mark style="color:blue;">`GET`</mark> `https://v2-order-api.citypay.io/order/ordertoken/`

This method allows you to get Order information.

{% tabs %}
{% tab title="200 Order was successfully found." %}

```javascript
{
    "status": 1,
    "data": {
        "companyName": "Company",
        "id": 1893,
        "customerId": 099,
        "token": "ordertoken",
        "coin": "Bitcoin",
        "coinBaseName": "btc",
        "exchangeRate": 9205.6,
        "amountFiat": "100",
        "amount": 0.00000109,
        "dueDate": null,
        "currency": {
            "id": 2,
            "currency": "US Dollar",
            "abbreviation": "USD"
        },
        "createdAt": "2020-07-14 10:01",
        "createdAtMiliseconds": 1594718753000,
        "type": "Order",
        "expiresAt": 17991482,
        "expirationTime": 3600000,
        "email": null,
        "address": "3AxYawtkGxsnTfy6KxswzAFNDiGRuw1dH3",
        "status": {
            "code": "IN_PROGRESS",
            "label": "IN_PROGRESS"
        },
        "urls": {
            "cancelUrl": "https://citypay.io/access",
            "successUrl": "https://citypay.io/access",
            "callbackUrl": "https://citypay.io/access"
        },
        "transactions": 
        [
                      
         {
                "id": 957,
                "hash": "efda5c2e4c23949e9f823d5d158dccb2f263660251acef2330246cd2ca4f03ea",
                "hashUrl": "https://live.blockcypher.com/btc-testnet/tx/efda5c2e4c23949e9f823d5d158dccb2f263660251acef2330246cd2ca4f03ea",
                "amount": {
                    "base": 0.00006527,
                    "total": 0.00026108,
                    "underPaid": -0.00004368,
                    "overPaid": 0.00004368
                },
                "amountFiat": {
                    "base": "0.60",
                    "total": "2.40",
                    "underPaid": "-0.40",
                    "overPaid": "0.40"
                },
                "createdAt": "2020-07-14 08:29",
                "createdAtMiliseconds": 1594715393000
            },
            {
                "id": 958,
                "hash": "81b5bccf9d51bd69bac2c86209122ce6168af0060c6ff5d7eb1577dcba03894f",
                "hashUrl": "https://live.blockcypher.com/btc-testnet/tx/81b5bccf9d51bd69bac2c86209122ce6168af0060c6ff5d7eb1577dcba03894f",
                "amount": {
                    "base": 0.00006527,
                    "total": 0.00026108,
                    "underPaid": -0.00004368,
                    "overPaid": 0.00004368
                },
                "amountFiat": {
                    "base": "0.60",
                    "total": "2.40",
                    "underPaid": "-0.40",
                    "overPaid": "0.40"
                },
                "createdAt": "2020-07-14 08:37",
                "createdAtMiliseconds": 1594715828000
            },
            {
                "id": 959,
                "hash": "ac676c614681ad347c4089885723d0a1dfc706a194fa0b2d3430821400c98b11",
                "hashUrl": "https://live.blockcypher.com/btc-testnet/tx/ac676c614681ad347c4089885723d0a1dfc706a194fa0b2d3430821400c98b11",
                "amount": {
                    "base": 0.00006527,
                    "total": 0.00026108,
                    "underPaid": -0.00004368,
                    "overPaid": 0.00004368
                },
                "amountFiat": {
                    "base": "0.60",
                    "total": "2.40",
                    "underPaid": "-0.40",
                    "overPaid": "0.40"
                },
                "createdAt": "2020-07-14 08:49",
                "createdAtMiliseconds": 1594716578000
            },
            {
                "id": 960,
                "hash": "810341cce867b28793672303774fa2d5b6ea3c8772f09f27932ada08e4cfda3b",
                "hashUrl": "https://live.blockcypher.com/btc-testnet/tx/810341cce867b28793672303774fa2d5b6ea3c8772f09f27932ada08e4cfda3b",
                "amount": {
                    "base": 0.00006527,
                    "total": 0.00026108,
                    "underPaid": -0.00004368,
                    "overPaid": 0.00004368
                },
                "amountFiat": {
                    "base": "0.60",
                    "total": "2.40",
                    "underPaid": "-0.40",
                    "overPaid": "0.40"
                },
                "createdAt": "2020-07-14 08:57",
                "createdAtMiliseconds": 1594717028000
            }
        ]        
        
    }
}
```

{% endtab %}

{% tab title="404 Could not find an order." %}

```javascript
{
    "status": "error",
    "status_code ": 404,
    "message": {
        "order": "order not found"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.citypay.io/endpoint/get-orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
